export declare function withoutTrailingSlash(url: string): string;
export declare function withoutLeadingSlash(url: string): string;
export declare function prefixWithProtocol(string: string): string;
export declare function getQuirrelBaseUrl(): string | undefined;
export declare function getOldQuirrelBaseUrl(): string | undefined;
export declare function getQuirrelToken(): string | undefined;
export declare function getOldQuirrelToken(): string | undefined;
export declare function getEncryptionSecret(): string | undefined;
export declare function getSignaturePublicKey(): string | undefined;
export declare function getOldEncryptionSecrets(): string[] | null;
export declare function getApplicationBaseUrl(host?: string): string;
export declare function registerDevelopmentDefaults({ applicationPort, }: {
    applicationPort: number;
}): void;
